light-mode-image
Learn
API ReferenceIssuer Policy

Retrieve issuer policy preview

Roles

admindts-provider

Analytics Events

ECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_STARTECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_SUCCESSECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_FAIL
GET/v1/ecosystems/{ecosystemId}/issuer-policies/preview

Retrieves an ecosystem issuer policy preview by providing the ecosystem's ID. A policy preview includes all the participants and their issuer certificates created in the ecosystem, including those that fail validation and would be excluded from a published policy. The validation result is provided for each certificate.

Analytic events

  • ECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_START
  • ECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_SUCCESS
  • ECOSYSTEM_ISSUER_POLICY_PREVIEW_RETRIEVE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

ecosystemId*string

The UUID of the ecosystem

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/issuer-policies/preview"
{  "publishedAt": "2019-08-24T14:15:22Z",  "participants": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "status": "Active",      "issuerCertificates": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "certificatePem": "string",          "certificateFingerprint": "string",          "docTypes": [            {              "value": "string"            }          ],          "status": "Active",          "validationResult": {            "validated": true          }        }      ],      "country": "string",      "stateOrProvince": "string"    }  ]}

How would you rate this page?